---
contrib_package_information: 1.0

package: gstatus
licence: GPL

submitted_by:
    - name:  Pat Riehecky
      email: riehecky@fnal.gov
      primary_contact: Yes

project_page: https://github.com/pcuzner/gstatus
project_code: https://github.com/pcuzner/gstatus

release_date: 06/11/2015
release_announcement: https://rhn.redhat.com/errata/RHBA-2015-0682.html

production_ready: Yes

explanation_of_hosting: >
    With the inclusion of gluster server packages a clean status tool
    is helpful for determining the overall cluster state.

release_description: >
    A gluster trusted pool (aka cluster), consists of several key components; 
    nodes, volumes and bricks. In glusterfs 3.4/3.5, there is no a single
    command that can provide an overview of the cluster health.
    This means that admins currently assess the cluster health by looking
    at several commands to piece together a picture of the cluster state.

    This is not ideal - so 'gstatus' is an attempt to provide an easy to use,
    highlevel view of a cluster health through a single command.
    The tool gathers information by issuing gluster commands, to build an
    object model covering Nodes, Volumes and Bricks.

    With this data in place, checks are performed across this meta data and
    errors reported back to the user. In later releases, this data could be
    analysed in different ways to add further checks, incorporating deployment
    best practices, freespace triggers etc.

security_update: No
fixed_bugs : No
fixed_cves : No

rpms:
    - SL6_SRPMS:
        - gstatus-0.63-2.1.el6rhs.src.rpm
    - SL6_x86_64:
        - gstatus-0.63-2.1.el6rhs.x86_64.rpm
    - SL6_debuginfo:
        - gstatus-debuginfo-0.63-2.1.el6rhs.x86_64.rpm
